# PSystemLogToFile Class Reference

Log system output to a file. More...

`#include <syslog.h>`

Inheritance diagram for PSystemLogToFile:

List of all members.

## Public Member Functions

Construction
| PSystemLogToFile (const PString &filename)
Overrides of PSystemLogTarget
virtual void | Output (PSystemLog::Level level, const char *msg)
| Log an error into the system log.
Miscellaneous functions
const PFilePath & | GetFilePath () const
| Get the path to the file being logged to.

## Protected Attributes

PTextFile | m_file

## Detailed Description

Log system output to a file.

## Constructor & Destructor Documentation

PSystemLogToFile::PSystemLogToFile | ( | const PString & | filename | ) |

## Member Function Documentation

const PFilePath& PSystemLogToFile::GetFilePath | ( |  | ) | const`[inline]`

Get the path to the file being logged to.

virtual void PSystemLogToFile::Output | ( | PSystemLog::Level | level,
|  | const char * | msg |
| ) |  |  | `[virtual]`

Log an error into the system log.

Parameters:

  level | Level of this message
  msg | Message to be logged

Implements PSystemLogTarget.

## Member Data Documentation

PTextFile PSystemLogToFile::m_file `[protected]`

The documentation for this class was generated from the following file:

- syslog.h